@import 'variables';

// Utilities
.bg-dark {
  background: #000;
  color: #fff;
}

.bg-light {
  background: #fff;
  color: #000;
}

.text-dark {
  color: #000;
}

.text-light {
  color: #fff;
}

.btn {
  border: none;
  background: none;
  font-size: 0.8rem;
  font-weight: 500;
  cursor: pointer;
  color: #fff;
}

.btn + i {
  color: #fff;
}

.btn-arrow {
  border: none;
  background: none;
  font-size: 0.8rem;
  font-weight: 500;
  cursor: pointer;

  display: flex;
  align-items: center;

  &:hover {
    opacity: 0.9;
    color: #fa99b6;
  }
}

.w-100 {
  width: 100%;
}

.ml-1 {
  margin-left: 1rem;
}

.mb-1 {
  margin-bottom: 0.5rem;
}

.lead {
  font-size: 0.9rem;
}

// Diplay Flex Style
.flex-row {
  display: flex;
  flex-flow: row wrap;
}

.space-between {
  justify-content: space-between;
}

.line {
  width: 100%;
  height: 1px;
  background: #f3f3f3;
  margin: 0.7rem 0;
}

// Toggle {
.toggle {
  --width: 40px;
  --height: calc(var(--width) / 2);
  --border-radius: calc(var(--height) / 2);

  display: inline-block;
  cursor: pointer;

  .toggle-input {
    display: none;
  }

  .toggle-fill {
    position: relative;
    width: var(--width);
    height: var(--height);
    border-radius: var(--border-radius);
    background: #dddddd;
    transition: background 0.2s;
  }

  .toggle-input:checked ~ .toggle-fill {
    background-color: $primary-color;
  }

  .toggle-fill::after {
    content: '';
    position: absolute;
    top: 1px;
    left: 1px;
    height: 18px;
    width: 18px;
    background: #ffffff;
    box-shadow: 0 0 10px grba(0, 0, 0, 0.25);
    border-radius: var(--border-radius);
    transition: transform 0.2s;
  }

  .toggle-input:checked ~ .toggle-fill::after {
    transform: translateX(20px);
  }
}
